package com.sunxung.factoring.entity.acceptance;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.customerinformation.ElectronicSignaturePersonal;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * --验收单签署确认表
 * </p>
 *
 * @author liutao
 * @since 2023-06-07
 */
@TableName("c_acceptance_sign_confirmation")
public class AcceptanceSignConfirmation extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 验收单-基础信息表ID
     */
    @TableField("c_acceptance_basic_info_id")
    private Long acceptanceBasicInfoId;

    /**
     * 合同链接
     */
    @TableField("contract_link")
    private String contractLink;

    /**
     * 客户合同链接短连接
     */
    @TableField("short_contract_link")
    private String shortContractLink;

    /**
     * 短链接创建时间
     */
    @TableField("short_contract_link_create")
    private Date shortContractLinkCreate;

    /**
     * 签署结论 1完成 0 终止 2退回
     */
    @TableField("sign_conclusion")
    private Integer signConclusion;

    /**
     * 说明
     */
    @TableField("remark")
    private String remark;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    @TableField(exist = false)
    private List<AcceptanceSignConfirmationElectronicInfo> signConfirmationElectronicInfos;

    @TableField(exist = false)
    private ElectronicSignaturePersonal electronicSignaturePersonal;

    @TableField(exist = false)
    private List<AcceptanceSignConfirmationGoodsInfo> acceptanceSignConfirmationGoodsInfos;

//    @TableField(exist = false)
//    private List<AcceptanceGoodsInfo> acceptanceGoodInfos;

//    public List<AcceptanceGoodsInfo> getAcceptanceGoodInfos() {
//        return acceptanceGoodInfos;
//    }
//
//    public void setAcceptanceGoodInfos(List<AcceptanceGoodsInfo> acceptanceGoodInfos) {
//        this.acceptanceGoodInfos = acceptanceGoodInfos;
//    }

    public List<AcceptanceSignConfirmationGoodsInfo> getAcceptanceSignConfirmationGoodsInfos() {
        return acceptanceSignConfirmationGoodsInfos;
    }

    public void setAcceptanceSignConfirmationGoodsInfos(List<AcceptanceSignConfirmationGoodsInfo> acceptanceSignConfirmationGoodsInfos) {
        this.acceptanceSignConfirmationGoodsInfos = acceptanceSignConfirmationGoodsInfos;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public Long getAcceptanceBasicInfoId() {
        return acceptanceBasicInfoId;
    }

    public void setAcceptanceBasicInfoId(Long acceptanceBasicInfoId) {
        this.acceptanceBasicInfoId = acceptanceBasicInfoId;
    }
    public String getContractLink() {
        return contractLink;
    }

    public void setContractLink(String contractLink) {
        this.contractLink = contractLink;
    }
    public String getShortContractLink() {
        return shortContractLink;
    }

    public void setShortContractLink(String shortContractLink) {
        this.shortContractLink = shortContractLink;
    }

    public Date getShortContractLinkCreate() {
        return shortContractLinkCreate;
    }

    public void setShortContractLinkCreate(Date shortContractLinkCreate) {
        this.shortContractLinkCreate = shortContractLinkCreate;
    }

    public Integer getSignConclusion() {
        return signConclusion;
    }

    public void setSignConclusion(Integer signConclusion) {
        this.signConclusion = signConclusion;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setSignConfirmationElectronicInfos(List<AcceptanceSignConfirmationElectronicInfo> signConfirmationElectronicInfos) {
        this.signConfirmationElectronicInfos = signConfirmationElectronicInfos;
    }

    public List<AcceptanceSignConfirmationElectronicInfo> getSignConfirmationElectronicInfos() {
        return signConfirmationElectronicInfos;
    }

    public void setElectronicSignaturePersonal(ElectronicSignaturePersonal electronicSignaturePersonal) {
        this.electronicSignaturePersonal = electronicSignaturePersonal;
    }

    public ElectronicSignaturePersonal getElectronicSignaturePersonal() {
        return electronicSignaturePersonal;
    }
}
